OpenNMS API 1.2.9

## org.opennms.netmgt
Class PropertyConstants

    java.lang.Object
      org.opennms.netmgt.PropertyConstants

public final class PropertyConstants
extends java.lang.Object

This class holds all OpenNMS related constants - has the property names to be read from the config files, the various config file names etc.

Version:
  1.1.1.1
Author:
  OpenNMS

Field Summary
`static java.lang.String` `PROP_PRIMARY_INTERFACE_SELECT_METHOD` The property string in the properties file which specifies the method to use for determining which interface is primary on a multi-interface box.
`static java.lang.String` `PROP_PROPERTIES_REPOSITORY` The property string in the properties file to get the Properties files directory
`static java.lang.String` `PROP_SOCKET_TIMEOUT_PERIOD` These properties control how blocking socket I/O is handled in OpenNMS processes
`static java.lang.String` `PROP_SOCKET_TIMEOUT_REQUIRED` These properties control how blocking socket I/O is handled in OpenNMS processes
`static java.lang.String` `PROP_XML_REPOSITORY` The property string in the properties file to get the XML configuration files

Constructor Summary
`PropertyConstants()`

Method Summary
`static java.lang.String` `lookup(java.lang.String property)` This is just a convience method that forwards the lookup of the property to the `System`class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_XML_REPOSITORY

    public static final java.lang.String PROP_XML_REPOSITORY

  The property string in the properties file to get the XML configuration files

  See Also:
    Constant Field Values

### PROP_PROPERTIES_REPOSITORY

    public static final java.lang.String PROP_PROPERTIES_REPOSITORY

  The property string in the properties file to get the Properties files directory

  See Also:
    Constant Field Values

### PROP_PRIMARY_INTERFACE_SELECT_METHOD

    public static final java.lang.String PROP_PRIMARY_INTERFACE_SELECT_METHOD

  The property string in the properties file which specifies the method to use for determining which interface is primary on a multi-interface box.

  See Also:
    Constant Field Values

### PROP_SOCKET_TIMEOUT_REQUIRED

    public static final java.lang.String PROP_SOCKET_TIMEOUT_REQUIRED

  These properties control how blocking socket I/O is handled in OpenNMS processes

  See Also:
    Constant Field Values

### PROP_SOCKET_TIMEOUT_PERIOD

    public static final java.lang.String PROP_SOCKET_TIMEOUT_PERIOD

  These properties control how blocking socket I/O is handled in OpenNMS processes

  See Also:
    Constant Field Values

Constructor Detail

### PropertyConstants

    public PropertyConstants()

Method Detail

### lookup

    public static final java.lang.String lookup(java.lang.String property)

  This is just a convience method that forwards the lookup of the property to the `System`class. This method may be modified in the furture to search additional property locations for the properties defined in this class.

  Parameters:
    `property` - The property key used to lookup the result.
  Returns:
    The value that is mapped by the passed property key.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.